SDL_DrawGPUIndexedPrimitivesIndirect(3)

NAME
SDL_DrawGPUIndexedPrimitivesIndirect - Draws data using bound graphics state with an index buffer enabled and with draw parameters set from a buffer.

HEADER FILE
Defined in SDL3/SDL_gpu.h

SYNOPSIS
#include "SDL3/SDL.h"

void SDL_DrawGPUIndexedPrimitivesIndirect(
    SDL_GPURenderPass *render_pass,
    SDL_GPUBuffer *buffer,
    Uint32 offset,
    Uint32 draw_count);

DESCRIPTION
The buffer must consist of tightly-packed draw parameter sets that each match the layout of

SDL_GPUIndexedIndirectDrawCommand . You must not call this function before binding a graphics pipeline.

FUNCTION PARAMETERS

render_pass
    a render pass handle.

buffer
    a buffer containing draw parameters.

offset
    the offset to start reading from the draw buffer.

draw_count
    the number of draw parameter sets that should be read from the draw buffer.

AVAILABILITY
This function is available since SDL 3.2.0.